//---------------------------------------------------------------------------
#ifndef LED3PanelH
#define LED3PanelH

//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
 
#include "_GClass.hpp"
#include "AbLED.hpp"

//---------------------------------------------------------------------------
class PACKAGE TLED3Panel : public TPanel
{
private:

	TAbLED * LED1;
	TAbLED * LED2;
	TAbLED * LED3;

	TShape * SH;
 
    TLabel * SigNam;
    TLabel * NumPlate;



protected:

        
public:

	virtual __fastcall TLED3Panel(TComponent* Owner);
    virtual __fastcall ~TLED3Panel(void);

	virtual void __fastcall SetParent(TWinControl *AParent);
	virtual void __fastcall Loaded();
		
    __property TAbLED * LEDHighSpeed={read=LED1};
    __property TAbLED * LEDMediumSpeed={read=LED2};
    __property TAbLED * LEDLowSpeed={read=LED3};

    __property TLabel * SignalName={read=SigNam};
    __property TLabel * NumberPlate={read=NumPlate};

    // Signal Aspects 1-x
	enum SignalAspect {AsNone = 1, AsDark = 2, AsStopSignal = 3, AsClear, AsStopandProceed, AsApproach, AsMediumClear, AsMediumApproach,
		AsSlowClear, AsSlowApproach, AsApproachMedium, AsApproachSlow, AsRestricting, AsApproachLimited,
    	AsLimitedClear, AsLimitedApproach, AsMediumApproachSlow, AsLast};

    bool __fastcall Lights(int Aspect);
    bool __fastcall Names(String sName, int iNumberPlate, int iType);
    String AspectNames[18];

__published:

};
//---------------------------------------------------------------------------
#endif

